Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.gvt.event
Class GraphicsNodeMouseWheelEvent

    java.lang.Object
      java.util.EventObject
          org.apache.batik.gvt.event.GraphicsNodeEvent
              org.apache.batik.gvt.event.GraphicsNodeInputEvent
                  org.apache.batik.gvt.event.GraphicsNodeMouseWheelEvent

All Implemented Interfaces:
  Serializable

    public class GraphicsNodeMouseWheelEvent

extends GraphicsNodeInputEvent

An event which indicates that a mouse whwel action occurred in a graphics node.

See Also:
  Serialized Form

Field Summary
`static int` | `MOUSE_WHEEL` The id for the "mouseWheelMoved" event.
`protected int` | `wheelDelta` Indicates the number of wheel notches have been moved.

Fields inherited from class org.apache.batik.gvt.event.GraphicsNodeInputEvent
`ALT_GRAPH_MASK, ALT_MASK, BUTTON1_MASK, BUTTON2_MASK, BUTTON3_MASK, CAPS_LOCK_MASK, CTRL_MASK, KANA_LOCK_MASK, META_MASK, NUM_LOCK_MASK, SCROLL_LOCK_MASK, SHIFT_MASK`

Fields inherited from class org.apache.batik.gvt.event.GraphicsNodeEvent
`id`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`GraphicsNodeMouseWheelEvent(GraphicsNode source, int id, long when, int modifiers, int lockState, int wheelDelta)` Constructs a new graphics node mouse wheel event.

Method Summary
`int` | `getWheelDelta()` Returns the number of clicks the wheel has been moved.

Methods inherited from class org.apache.batik.gvt.event.GraphicsNodeInputEvent
`getLockState, getModifiers, getWhen, isAltDown, isAltGraphDown, isControlDown, isMetaDown, isShiftDown`

Methods inherited from class org.apache.batik.gvt.event.GraphicsNodeEvent
`consume, getGraphicsNode, getID, isConsumed`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MOUSE_WHEEL

    public static final int MOUSE_WHEEL

  The id for the "mouseWheelMoved" event.

  See Also:
    Constant Field Values

### wheelDelta

    protected int wheelDelta

  Indicates the number of wheel notches have been moved. Positive for scrolling up/left, negative for down/right.

Constructor Detail

### GraphicsNodeMouseWheelEvent

    public GraphicsNodeMouseWheelEvent(GraphicsNode source,
                                       int id,
                                       long when,
                                       int modifiers,
                                       int lockState,
                                       int wheelDelta)

  Constructs a new graphics node mouse wheel event.

  Parameters:
    `source` - the graphics node where the event originated
    `id` - the id of this event
    `when` - the time the event occurred
    `wheelDelta` - the number of clicks

Method Detail

### getWheelDelta

    public int getWheelDelta()

  Returns the number of clicks the wheel has been moved.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.